@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=Red+Hat+Display:ital,wght@0,300..900;1,300..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Monoton&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Faculty+Glyphic&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Limelight&display=swap');
.lato-regular {
  font-family: "Lato", sans-serif;
  font-weight: 400;
  font-style: normal;
}
:root{
--kolor-glowny:#D0BFA5;
--kolor-akcent:#2E6373;
--kolor-jasny:#D6B6AB;
--kolor-ciemny:#33384D;
}

*{
    box-sizing: border-box; 
    transition: 500ms;
}
html{
    scroll-behavior: smooth;
}
body{
    font-family: "Lato", sans-serif;
}

a{
    text-decoration: none;
    color: #F3EADD;
    display: block;
}

p{
    line-height: 140%;
    margin-bottom: 10px;
}

img{
    display: block;
    background: none;
}

h1,h2,h3,h4,h5,h4{}

h1{
    font-family: "Monoton", sans-serif;
    font-weight: 100;
    font-size: 120px;
    font-style: normal;
    color: var(--kolor-ciemny);
    display: flex;
    align-items: center; /* wyrównanie w pionie */
    gap: 16px; 

    animation-name: od-do;
    animation-duration: 4s;
    animation-iteration-count: 1;
    animation-fill-mode: forwards;
    animation-duration: alternate;
    animation-delay: 1s;
    animation-timing-function: ease-in-out;
    transform-origin: center center;
    transform: scale(.6);
    position: absolute;
    left: -100%;
    top: 50%;
}
h1 img{
    height: 100px;
}
h1 span{
    font-family: "Faculty Glyphic", sans-serif;
}

@keyframes od-do{
    0%{}
    60%{
        left: 60%;
        transform: translate(-50%,-50%) scale(1.2);
    }
    100%{
        left: 50%;
        transform:  translate(-50%,-50%) scale(1);
    }
}
#od-do{
            min-height: 50vh;
            background-color: #333;
            display: flex;
            justify-content: center;
            align-items: center;
}
h2{
    font-family: "Monoton", sans-serif;
    font-size: 40px;
    /* background-color: red; */
}
h2 span{ 
    font-family: "Faculty Glyphuc", sans-serif;
    font-size: 45px;
}
h3{
    font-family:"Lato", sans-serif;
    font-size: 20px;
}

/* NAWIGACJA */
nav{
    font-family: "Faculty Glyphic", sans-serif;
    /* background-color: var(--kolor-akcent); */
    position:fixed;
    width: 100%;
    padding: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 1;
}
#logo{
    color: #F3EADD;
    font-size: 30px;
    display: flex;
    align-items: center;
    gap: 5px;
    background-color: var(--kolor-akcent);
    padding: 10px;
    border-radius: 50px;
    font-family:"Faculty Glyphic", sans-serif; 

}
#logo span{
    font-family: "Monoton", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 30px;
}
nav ol{
    background-color: var(--kolor-akcent);
    padding: 10px;
    border-radius: 50px;
    display: flex;
    justify-content: right;
    align-items: center;
    gap: 10px;
}
nav ol li{}
nav ol li a{
    padding: 10px;
    border-radius: 50px;
}
nav ol li a:hover{
    background-color: #F3EADD;
    color:var(--kolor-ciemny);
}
.tlo{
    font-family: "Faculty Glyphic", sans-serif;
    color:#F3EADD;
    background-color: var(--kolor-ciemny);
    border: none;
    padding: 10px;
}


section{
    min-height: 100vh;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 20px;
    scroll-margin-top: 0px;
}
.zawartosc{
    max-width: 1200px;
    width: 100%;
    /* justify-content: center; */
}


#pierwsza {  
    font-family: "Monoton", sans-serif;
    font-weight: 400;
    font-style: normal;
    background-image: url(../img/pattern.png),
    url(../img/pattern.png);
    background-size: 80px, 80px;
    background-repeat: repeat;
    background-position: 
    0px 0px,
    40px 50px;

    background-color: var(--kolor-glowny);
    font-size: 100px;
    overflow: hidden;
    position:relative;
}
#pierwsza .zawartosc{
    display: flex;
    flex-direction: column;
    align-items: left; 
    gap: 5vh;
    
}

#druga{
    background-color: #F3EADD;
}
#druga h2{
    width: 100%;
    max-width: 1200px;
    margin-bottom: 20px;
}
#druga h3{
    margin-bottom: 10px;
}
#druga .zawartosc{ 
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
    justify-content: center;
    /* background-color: yellow; */
}
#druga .zawartosc article{
    flex: 0 1 385px;
    /* background-color: blue; */
}
#druga .zawartosc article div{
    margin-bottom: 20px;
}
.img-hover{
    width: 100%;
    height: 385px;
    background-image: url(../img/cecha1.png);
    background-size: cover;
    background-position: center;
    transition: background-image 0.3 ease;
    
}
.img-hover:hover {
    background-image: url(../img/cecha1hover.png);
   transform: scale(1.2);
   box-shadow: 0 20px 40px #CCA564 ;
}

.img-hover2{
    width: 100%;
    height: 385px;
    background-image: url(../img/cecha2.png);
    background-size: cover;
    background-position: center;
    transition: background-image 0.3 ease;
}
.img-hover2:hover {
    background-image: url(../img/cecha2hover.png);
   transform: scale(1.2);
   box-shadow: 0 20px 40px #CCA564;
}

.img-hover3{
    width: 100%;
    height: 385px;
    background-image: url(../img/cecha3.png);
    background-size: cover;
    background-position: center;
    transition: background-image 0.3 ease;
}
.img-hover3:hover {
    background-image: url(../img/cecha3hover.png);
   transform: scale(1.2);
   box-shadow: 0 20px 40px #CCA564;
}



#trzecia{
    background: url(../img/pattern3.png) no-repeat center;
    background-size: cover;
    background-color: var(--kolor-jasny);
}
#trzecia h2{
    /* background-color: red; */
    max-width: 1200px;
    width: 100%;
    padding-left: 100px;
}
#trzecia article{
    
}
#trzecia .zawartosc{
    display: flex;
    gap: 20px;
    align-items: flex-start;
    justify-content: center;
    flex-wrap: wrap-reverse;
    padding: 20px 100px 0 100px;
    background: url(../img/tlo-papier.png) center bottom no-repeat;
    /* background-size: 100%; */
    /* background-color: green; */
 
}
#trzecia article{
    /* background-color: yellow; */
    flex: 1 1 350px;
}
#trzecia .zawartosc img{
     width:100%;
    height:100%;
    object-fit:cover;
    display: block;
}


#czwarta{
    background: url(../img/tlo-czwarta.png) no-repeat center fixed;
    background-size: cover;
    padding: 0 20px 40px 20px;
}
#czwarta .zawartosc{
    /* background-color: red; */
    min-height: 100vh;
    display: flex;
    gap: 180px;
    /* align-items: center; */
    /* justify-content: space-evenly; */
}
#czwarta article{
    background-color: #F3EADD;
    padding: 20px;
}
.lewy4{
    align-self: flex-start;
}
.prawy4{
    align-self: flex-end;
}



#piata{
    background-image: url(../img/pattern5.png);
    background-size: 100px; 
    background-repeat: repeat;
    background-position: 
    0px 0px, 20px 20px;

    background-color: var(--kolor-glowny);
}
#piata h2{
    margin-bottom: 20px;
}
#piata .zawartosc{
    /* background-color: green; */
    justify-content: flex-start;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}
#piata article p{
    background-color:#F3EADD;
    max-width: 900px;
}
.zdjecie5{
    align-self: center;
}

#piata article{
    justify-items: center;

}
#piata img{
    height: 500px;
}

#stopka{
    min-height: 40vh;
    background-color: var(--kolor-akcent);
    color: #F3EADD;
    padding: 60px 20px;
}
#stopka .zawartosc{ 
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap:20px
}
#stopka main{
    flex: 1 1 300px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
#stopka article{
    padding: 20px;
}
.social h4{
    margin-bottom: 20px;
}
#stopka .social ul {
    display: flex;
    /* flex-wrap: wrap; */
    /* justify-content:center; */
    align-items: stretch;
    gap: 10px;
}
.img-icon1{
    width: 50px;
    height: 50px;
    background-image: url(../img/facebook.png);
    background-size: cover;
    background-position: center;
    transition: background-image 0.3 ease;
}

.img-icon1:hover {
   transform: scale(1.2);   
}
.img-icon2{
    width: 50px;
    height: 50px;
    background-image: url(../img/insta.png);
    background-size: cover;
    background-position: center;
    transition: background-image 0.3 ease;
}
.img-icon2:hover {
   transform: scale(1.2);   
}
.img-icon3{
    width: 50px;
    height: 50px;
    background-image: url(../img/x.png);
    background-size: cover;
    background-position: center;
    transition: background-image 0.3 ease;
}
.img-icon3:hover {
   transform: scale(1.2);   
}

form{ /*article*/
background-color: var(--kolor-ciemny);
color: #F3EADD;
   align-items: center;
    display: flex;
    flex-direction: column;   
     padding: 20px;
    flex: 0 1 280px;
    border-radius: 20px;
        display: flex;
    flex-direction: column;
    padding:20px ;
}

form input{
    background-color: #CFBEA4;
    border: 0;
    border-radius: 20px;
    display: block;
    padding: 5px;
     margin-bottom: 1rem;}

    /* background-color: yellow; */
form input[type=checkbox]{
    display: inline;
    
}

form h3{
    margin-bottom: 1rem;
}
form main input:focus{
    background-color:#F3EADD;   
    transform: scale(1.1); 
    outline: 0;
}
form footer input{
    background-color: var(--kolor-akcent);
    color: #F3EADD;
    padding:10px;
}

form footer input:hover{
    background-color: #F3EADD;
    color: var(--kolor-ciemny);
}